# Generated by Django 4.1.7 on 2023-03-18 07:08

from django.db import migrations, models


def forwards_func(apps, schema_editor):
    db_alias = schema_editor.connection.alias
    DocumentUploadRecord = apps.get_model("manager", "DocumentUploadRecord")

    records = DocumentUploadRecord.objects.using(db_alias).all()

    for record in records:
        record.documents = [
            dict(doc_id=doc["document_id"], file_name=doc["file_name"])
            for doc in record.documents
        ]

        record.save()


def reverse_func(apps, schema_editor):
    pass


class Migration(migrations.Migration):
    dependencies = [
        ("manager", "0048_commodity_title_alter_commodity_description_and_more"),
    ]

    operations = [
        migrations.RunPython(forwards_func, reverse_func),
    ]
